OpenFileParameters (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.impl, class: OpenFileParameters

Package org.apache.hadoop.fs.impl

# Class OpenFileParameters

java.lang.Object
org.apache.hadoop.fs.impl.OpenFileParameters

public class OpenFileParameters extends Object
All the parameters from the openFile builder for the `openFileWithOptions` commands. If/when new attributes added to the builder, this class will be extended.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenFileParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBufferSize()`
  `Set<String>`
  `getMandatoryKeys()`
  `Set<String>`
  `getOptionalKeys()`
  `Configuration`
  `getOptions()`
  `FileStatus`
  `getStatus()`
  `OpenFileParameters`
  `withBufferSize(int size)`
  `OpenFileParameters`
  `withMandatoryKeys(Set<String> keys)`
  `OpenFileParameters`
  `withOptionalKeys(Set<String> keys)`
  `OpenFileParameters`
  `withOptions(Configuration opts)`
  `OpenFileParameters`
  `withStatus(FileStatus st)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OpenFileParameters

    public OpenFileParameters()

- ## Method Details

  - ### withMandatoryKeys

    public OpenFileParameters withMandatoryKeys(Set<String> keys)

  - ### withOptionalKeys

    public OpenFileParameters withOptionalKeys(Set<String> keys)

  - ### withOptions

    public OpenFileParameters withOptions(Configuration opts)

  - ### withBufferSize

    public OpenFileParameters withBufferSize(int size)

  - ### withStatus

    public OpenFileParameters withStatus(FileStatus st)

  - ### getMandatoryKeys

    public Set<String> getMandatoryKeys()

  - ### getOptionalKeys

    public Set<String> getOptionalKeys()

  - ### getOptions

    public Configuration getOptions()

  - ### getBufferSize

    public int getBufferSize()

  - ### getStatus

    public FileStatus getStatus()